Skip to main content
Resource Center/Network Resource/Policy Routing Operations
POSTPolicy Routing OperationsSince 3.6.0SynchronousAuth Required

CreatePolicyRouteRule

CreatePolicyRouteRule

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • ruleSetUuidStringRequired

      The UUID of the policy route rule set.

    • tableUuidStringRequired

      The policy route table UUID.

    • ruleNumberintRequired

      The priority.

    • destIpString

      Optional. The destination IP address.

    • sourceIpString

      Optional. The source IP address.

    • destPortString

      Optional. The destination port.

    • sourcePortString

      Optional. The source port.

    • protocolString

      Optional. The protocol.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryPolicyRouteRuleInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • ruleNumberintRequired

      The priority.

    • ruleSetUuidStringRequired

      The UUID of the policy route rule set.

    • tableUuidStringRequired

      The policy route table UUID.

    • destIpStringRequired

      The destination IP address.

    • sourceIpStringRequired

      The source IP address.

    • destPortStringRequired

      The destination port.

    • sourcePortStringRequired

      The source port.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • protocolPolicyRouteRuleProtocolRequired

      See protocol.

      • tcpPolicyRouteRuleProtocolRequired

        No description provided.

      • udpPolicyRouteRuleProtocolRequired

        No description provided.

    • statePolicyRouteRuleStateRequired

      See state.

      • enablePolicyRouteRuleStateRequired

        启用。

      • disablePolicyRouteRuleStateRequired

        禁用。

Endpoint

POST/zstack/v1/policy-routes/rules

/zstack/v1/policy-routes/rules

Operation ID

CreatePolicyRouteRule

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/policy-routes/rules' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"ruleSetUuid":"<ruleSetUuid>","tableUuid":"<tableUuid>","ruleNumber":1,"destIp":"<destIp>","sourceIp":"<sourceIp>","destPort":"<destPort>","sourcePort":"<sourcePort>","protocol":"<protocol>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "8b14e8fd1bae3b35acb67d19b8c7580e", "ruleNumber": 1.0, "ruleSetUuid": "7cd6023e32c639169b2316ffec4c79f3", "tableUuid": "3d5c0b99cfac3654a451c854cf449091", "destIp": "192.168.1.1", "sourceIp": "80", "destPort": "22", "protocol": "tcp", "state": "enable" } }

Change History

This API has no change history records yet.

View all change history